/* 
 * init.c
 *
 * Initialization code for system
 * Sets up interrupts, sleep mode, etc.
 */
 
 
inline void init(void)
{
  //enable rising-edge triggered ext interrupt 1 and 0                      
  //also, enable sleep mode 000 (idle)
  MCUCR = 0b10001010;   
  GICR  = GICR  | 0b11000000;             
                 
  //pins 0, 1, 2, 6, 7 are outputs; others input  
  DDRD = 0xC7;

  //all other ports used as outputs
  DDRA = 0xFF;
  DDRB = 0xFF;
  DDRC = 0xFF;
                    
  cur_scanline = 0;
  
  //start interrupts -- go program, go!   
  #asm
  sei
  #endasm

  disable_sprites(); //don't draw any sprites right now
}
 
 
 
 
 




 
